package net.laparola.core;
import net.laparola.core.Testi.*;

class FormatoTesto {
	private TestoVisualizzato testoVisualizzato;
	private RiferimentoTipo riferimentoTipo;
	private RiferimentoFormato riferimentoFormato;
	private RiferimentoPosto riferimentoPosto;
	private boolean fontRiferimentoGrassetto;
	private boolean fontRiferimentoCorsivo;
	private boolean fontRiferimentoSottolineato;
	private boolean fontRicercaGrassetto;
	private boolean fontRicercaCorsivo;
	private boolean fontRicercaSottolineato;
	private boolean riferimentoApice;
    private boolean titoliVisualizzati;

	public TestoVisualizzato TestoVisualizzato() {
		return testoVisualizzato;
		// set { testoVisualizzato = value; }
	}
	
	public RiferimentoTipo RiferimentoTipo() {
		return riferimentoTipo;
		// set { riferimentoTipo = value; }
	}

	public RiferimentoFormato RiferimentoFormato() {
		return riferimentoFormato;
		// set { riferimentoFormato = value; }
	}

	public RiferimentoPosto RiferimentoPosto() {
		return riferimentoPosto;
		// set { riferimentoPosto = value; }
	}

	public boolean FontRiferimentoGrassetto() {
		return fontRiferimentoGrassetto;
	}

	public boolean FontRiferimentoCorsivo() {
		return fontRiferimentoCorsivo;
	}

	public boolean FontRiferimentoSottolineato() {
		return fontRiferimentoSottolineato;
	}

	public boolean FontRicercaGrassetto() {
		return fontRicercaGrassetto;
	}

	public boolean FontRicercaCorsivo() {
		return fontRicercaCorsivo;
	}

	public boolean FontRicercaSottolineato() {
		return fontRicercaSottolineato;
	}
	
	public boolean RiferimentoApice() {
		return riferimentoApice;
	}

    public boolean TitoliVisualizzati()     {
        return titoliVisualizzati;
        //set { titoliVisualizzati = value; }
    }

	public FormatoTesto() {
		// fontNome = "Times New Roman";
		// fontDimensione = 12;
		// fontColore = Color.Black;

		// fontRiferimentoNome = fontNome;
		// fontRiferimentoDimensione = 12;
		fontRiferimentoGrassetto = true;
		fontRiferimentoCorsivo = false;
		fontRiferimentoSottolineato = false;
		riferimentoApice = true;
		titoliVisualizzati = true;
		// riferimentoContestoRicerche = false;
		// fontRiferimentoColore = Color.Black;

		// fontRicercaNome = fontNome;
		// fontRicercaDimensione = 12;
		fontRicercaGrassetto = false;
		fontRicercaCorsivo = false;
		fontRicercaSottolineato = true;
		// fontRicercaColore = Color.Black;

		riferimentoTipo = RiferimentoTipo.DuePunti;
		riferimentoFormato = RiferimentoFormato.Abbreviazione;
		riferimentoPosto = RiferimentoPosto.PrimaStessaRiga;
		testoVisualizzato = TestoVisualizzato.Paragrafi;
	}
}

/*
 * 
 * 
 * #region FontPredef
 * 
 * private string fontNome; /// <summary> /// Il nome del font predefinito. ///
 * </summary> public string FontNome { get { return fontNome; } set { fontNome =
 * value; } }
 * 
 * private float fontDimensione; /// <summary> /// La dimensione del font
 * predefinito. /// </summary> public float FontDimensione { get { return
 * fontDimensione; } set { fontDimensione = value; } }
 * 
 * private bool fontGrassetto; /// <summary> /// Se il font predefinito è in
 * grassetto. /// </summary> public bool FontGrassetto { get { return
 * fontGrassetto; } set { fontGrassetto = value; } } private bool fontCorsivo;
 * /// <summary> /// Se il font predefinito è in corsivo. /// </summary> public
 * bool FontCorsivo { get { return fontCorsivo; } set { fontCorsivo = value; } }
 * private bool fontSottolineato; /// <summary> /// Se il font predefinito è
 * sottolineato. /// </summary> public bool FontSottolineato { get { return
 * fontSottolineato; } set { fontSottolineato = value; } }
 * 
 * private Color fontColore; /// <summary> /// Il colore del font. ///
 * </summary> public Color FontColore { get { return fontColore; } set {
 * fontColore = value; } }
 * 
 * #endregion
 * 
 * #region FontRiferimento
 * 
 * private string fontRiferimentoNome; /// <summary> /// Il nome del font usato
 * per i riferimenti. /// </summary> public string FontRiferimentoNome { get {
 * return fontRiferimentoNome; } set { fontRiferimentoNome = value; } }
 * 
 * private float fontRiferimentoDimensione; /// <summary> /// La dimensione del
 * font usato per i riferimenti. /// </summary> public float
 * FontRiferimentoDimensione { get { return fontRiferimentoDimensione; } set {
 * fontRiferimentoDimensione = value; } }
 * 
 * private Color fontRiferimentoColore; /// <summary> /// Il colore del font
 * usato per i riferimenti. /// </summary> public Color FontRiferimentoColore {
 * get { return fontRiferimentoColore; } set { fontRiferimentoColore = value; }
 * }
 * 
 * private bool riferimentoContestoRicerche; /// <summary> /// Se un
 * collegamento ipertestuale è creato per i riferimenti in una ricerca. ///
 * </summary> public bool RiferimentoContestoRicerche { get { return
 * riferimentoContestoRicerche; } set { riferimentoContestoRicerche = value; } }
 * 
 * #endregion
 * 
 * #region FontRicerca
 * 
 * private string fontRicercaNome; /// <summary> /// Il nome del font usato per
 * le parole ricercate. /// </summary> public string FontRicercaNome { get {
 * return fontRicercaNome; } set { fontRicercaNome = value; } }
 * 
 * private float fontRicercaDimensione; /// <summary> /// La dimensione del font
 * usato per le parole ricercate. /// </summary> public float
 * FontRicercaDimensione { get { return fontRicercaDimensione; } set {
 * fontRicercaDimensione = value; } }
 * 
 * private Color fontRicercaColore; /// <summary> /// Il colore del font usato
 * per le parole ricercate. /// </summary> public Color FontRicercaColore { get
 * { return fontRicercaColore; } set { fontRicercaColore = value; } }
 * 
 * #endregion
 * 
 * 
 * /// <summary> /// Copia tutte le caratteristiche di un formato ad un altro.
 * /// </summary> /// <param name="formato">Il formato a cui copiare le
 * caratteristiche.</param> public void CopiaA(FormatoTesto formato) {
 * formato.fontNome = fontNome; formato.fontDimensione = fontDimensione;
 * formato.fontGrassetto = fontGrassetto; formato.fontCorsivo = fontCorsivo;
 * formato.fontSottolineato = fontSottolineato; formato.fontColore = fontColore;
 * 
 * formato.fontGrecoNome = fontGrecoNome; formato.fontGrecoDimensione =
 * fontGrecoDimensione; formato.fontGrecoColore = fontGrecoColore;
 * 
 * formato.fontEbraicoNome = fontEbraicoNome; formato.fontEbraicoDimensione =
 * fontEbraicoDimensione; formato.fontEbraicoColore = fontEbraicoColore;
 * 
 * formato.fontRiferimentoNome = fontRiferimentoNome;
 * formato.fontRiferimentoDimensione = fontRiferimentoDimensione;
 * formato.fontRiferimentoGrassetto = fontRiferimentoGrassetto;
 * formato.fontRiferimentoCorsivo = fontRiferimentoCorsivo;
 * formato.fontRiferimentoSottolineato = fontRiferimentoSottolineato;
 * formato.fontRiferimentoColore = fontRiferimentoColore;
 * formato.riferimentoApice = riferimentoApice;
 * formato.riferimentoContestoRicerche = riferimentoContestoRicerche;
 * 
 * formato.fontRicercaNome = fontRicercaNome; formato.fontRicercaDimensione =
 * fontRicercaDimensione; formato.fontRicercaGrassetto = fontRicercaGrassetto;
 * formato.fontRicercaCorsivo = fontRicercaCorsivo;
 * formato.fontRicercaSottolineato = fontRicercaSottolineato;
 * formato.fontRicercaColore = fontRicercaColore;
 * 
 * formato.titoliVisualizzati = titoliVisualizzati; formato.riferimentoTipo =
 * riferimentoTipo; formato.riferimentoFormato = riferimentoFormato;
 * formato.riferimentoPosto = riferimentoPosto; formato.testoVisualizzato =
 * testoVisualizzato; }
 * 
 * }
 */